Add a new tool to the workspace. Only webhook and client tools can be created. System tools are configured via the agent’s built_in_tools.
API key for programmatic access
Request body for creating/updating a tool.
Note: System tools are configured via the agent's built_in_tools, not the tools API. Use PATCH /v1/convai/agents/{agent_id} to configure system tools like end_call, transfer_to_agent, transfer_to_number, etc.
A webhook tool is a tool that calls an external webhook from our server.
{
"api_schema": {
"method": "GET",
"path_params_schema": { "agent_id": { "type": "string" } },
"url": "https://example.com/agents/{agent_id}"
},
"description": "Loads agent details from your CRM.",
"name": "fetch_agent",
"response_timeout_secs": 20,
"type": "webhook"
}Successful Response
Response model for a single tool
The tool ID
Unix timestamp when the tool was created
A webhook tool is a tool that calls an external webhook from our server.
{
"api_schema": {
"method": "GET",
"path_params_schema": { "agent_id": { "type": "string" } },
"url": "https://example.com/agents/{agent_id}"
},
"description": "Loads agent details from your CRM.",
"name": "fetch_agent",
"response_timeout_secs": 20,
"type": "webhook"
}Access information for this tool
Usage statistics for this tool